import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';
import { ListHighlight } from './ListHighlight';
import classnames from 'classnames';
import PropTypes from 'prop-types';
export var GridCell =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(GridCell, _React$Component);

  function GridCell() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = GridCell.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        testAutomationId = _this$props.testAutomationId,
        children = _this$props.children,
        className = _this$props.className,
        textWrap = _this$props.textWrap,
        props = _objectWithoutPropertiesLoose(_this$props, ["testAutomationId", "children", "className", "textWrap"]);

    var classNames = classnames(className, {
      'text-wrap': textWrap
    });
    return React.createElement("td", _extends({
      "data-test-automation-id": testAutomationId,
      className: classNames
    }, props), React.createElement(ListHighlight, null, children));
  };

  return GridCell;
}(React.Component);

_defineProperty(GridCell, "propTypes", {
  className: PropTypes.string,
  children: PropTypes.node,
  textWrap: PropTypes.bool,
  testAutomationId: PropTypes.string
});

_defineProperty(GridCell, "defaultProps", {
  className: null,
  children: null,
  textWrap: false,
  testAutomationId: null
});